Beste bezoeker,

Wanneer u ons forum bezoekt voor hulp bij installatie, vragen wij u een account aan te maken en geen gebruik te maken van het contactformulier.

Wij kunnen u beter helpen wanneer u een account aanmaakt en u in het volgende onderwerp phpBB en Extensie installatie en aanpassingen laten uitvoeren een nieuw onderwerp start.

Ook wanneer u ergens niet uitkomt of vragen heeft, vragen wij u gebruik te maken van 1 van de bestaande "support onderwerpen" en aldaar uw onderwerp te starten.

Waneer u een account aanmaakt kan het zijn dat de activatie email terecht komt in de spamfolder.
  • Verplaats deze terug naar uw postvak-in en klik op de activatie link, hierna is uw account geactiveerd en kunt u inloggen op het forum.

Met vriendelijke groet,

Team phpBBservice.nl
(steeds tot uw dienst)

phpBB 3.0.7-PL1 is uitgebracht

Hier vind je belangrijke informatie zoals mededelingen over het forum en als er nieuwe versies van phpBB uit zijn.
Plaats reactie
Gebruikersavatar

Auteur
Kevin
Hoofdbeheerder
Hoofdbeheerder
Berichten in topic: 2
Berichten: 3579
Lid geworden op: 03 nov 2007 20:36
Verstuurde bedankjes: 5 keren
Ontvangen bedankjes: 5 keren
Contacteer:

phpBB 3.0.7-PL1 is uitgebracht

Bericht door Kevin » 06 mar 2010 02:00

Hallo iedereen,

Helaas is er bij de uitgave van [url=https://www.phpbbservice.nl/forum/viewtopic.php?f=10&t=8137]phpBB 3.0.7[/url] een veiligheidsfoutje ingeslopen, de fout die geleid heeft tot deze kritische bug (fout), was helaas niet volledig getest en zodoende over het hoofd gezien tot twee weken na de uitgave van phpBB 3.0.7

De veiligheidsfout waar het om gaat is ingeslopen in de feeds-functie, een kritische bug zit namelijk in de permissies van de feeds. Het is noodzakelijk! om je forum zo spoedig mogelijk bij te werken naar phpBB 3.0.7-PL1. Anders is het mogelijk dat gebruikers de permissieinstellingen kunnen omzeilen van de feeds onder de volgende omstandigheden:
  • Feeds zijn ingeschakeld.
  • Eén van de berichten of onderwerpen-feeds zijn ingeschakeld.
  • De gebruiker die geen permissies heeft - of één van de groepen waar ze lid van zijn hebben forumpermissies ingesteld op het privé forum.
  • Als je een forum hebt uitgesloten van de lijst van forums die de feeds weergeven, heeft het geen effect.
Om dit probleem te verhelpen is er één kleine regel binnen feed.php aangepast, het gaat om regel 525: (dit is ook het enigste wat is veranderd in deze uitgave, er zijn dus geen taal-/stijlwijzigingen).

open feed.php

Zoek:

Code: Selecteer alles

$forum_ids = array_keys($auth->acl_getf('f_read')); 
En is vervangen door:

Code: Selecteer alles

$forum_ids = array_keys($auth->acl_getf('f_read', true)); 
We raden aan om deze codewijzing te laten uitvoeren door de automatische updater, wanneer je dit handmatig doet zal de phpBB-versie die in de database en in je constants.php staat verkeerd zijn ( je gebruikt dan de phpBB 3.0.7-PL1 code terwijl de versie aangeeft dat je 3.0.7 gebruikt).

Kort overzicht van de links naar het update-pakket met een korte beschrijving.

[url=https://www.phpbbservice.nl/forum/downloadsystembestanden/update/phpBB-3.0.6_naar_3.0.7-PL1-NL.zip]phpBB-3.0.6_naar_3.0.7-PL1-NL.zip[/url]
Wanneer je phpBB 3.0.6 draait, gebruik je dit update-pakket om je forum bij te werken naar 3.0.7-Pl1

phpBB-3.0.7_to_3.0.7-PL1.zip
Wanneer je phpBB 3.0.7 draait, gebruik je dit update-pakket om je forum bij te werken naar 3.0.7-PL1

Meer update-pakketten zijn te vinden op onze downloadpagina.

Een korte uitleg over hoe je een conversie doet is uitlegt in het bestand [url=https://www.phpbbservice.nl/forum/docs/INSTALL.html]INSTALL.html[/url], of je kan ook de uitgebreide uitleg [url=https://www.phpbbservice.nl/forum/viewtopic.php?f=55&t=1125]hier[/url] lezen.

Wat heb je precies nodig om phpBB3 te kunnen draaien?
  • Een webserver of een webhosting die PHP ondersteunt.
  • Je moet de beschikking hebben van de hier onder genoemde SQL-database-systemen:
    • MySQL 3.23 of hoger (MySQLi ondersteunt)
    • PostgreSQL 7.3+
    • SQLite 2.8.2+
    • Firebird 2.1+
    • MSSQL-Server 2000 of hoger (direct of via ODBC)
    • Oracle
  • PHP 4.3.3+ (>=4.3.3, >4.4.x, >5.x.x, >6.0-dev (compatibel)) met de ondersteuning van de database die je wilt gebruiken.
  • getimagesize() functie moet ingeschakeld zijn.
  • De volgende modules "mogen" ingeschakeld zijn, ze zorgen voor extra functies in phpBB3 maar beïnvloeden niet de werking van de installatie noch van phpBB3.
    • zlib compressie-ondersteuning
    • Afstand FTP-ondersteuning
    • XML-ondersteuning
    • Imagemagick-ondersteuning
    • GD-ondersteuning
De aanwezigheid van ieder van deze optionele modules zal worden gecontroleerd tijdens het installatie proces.

Beschikbare pakketten

Als je problemen ondervindt met de automatische update ( witte schermen, time-outs, etc.) raden we aan dat je de "gewijzigde bestanden" of de "patch" methode gebruikt om te updaten.

Met deze uitgave zijn er vijf pakketten beschikbaar.
  • Volledig pakket:
    Bevat de gehele phpBB3 bron , de Engelse en Nederlandse taalbestanden.
  • Automatisch update-pakket:
    Update-pakket voor de automatische updater, bevat de veranderingen van de vorige uitgave tot deze uitgave.
  • Gewijzigde bestanden:
    Bevat alleen de gewijzigde bestanden van vorige versies van phpBB3. Vergeet niet dat dit pakket alle gewijzigde bestanden bevat van elke vorige uitgave van phpBB3.
  • Patch-bestanden:
    Bevat patch compatibele patches van vorige versies van phpBB3.
  • Code wijzigingen pakket:
    Dit pakket bevat wijzigingen van de volgende secties: taal wijzigingen, prosilver en subsilver2 stijlwijzigingen.
Selecteer het pakket dat het beste bij je past. hieronder vindt je een overzicht van de pakketten met een kleine toelichting.
  • Voor een nieuwe installatie zal je "het volledige pakket" moeten gebruiken
  • Voor het updaten van forums zonder enige modificaties , kan je standaard het "automatisch update pakket" of het "gewijzigde bestanden"-pakket ( handmatige update ) kunnen gebruiken.
  • Voor forums met modificaties zal je het "automatisch update-pakket" moeten gebruiken. Als je bekend bent met de patch methode kan je het "Patch Files ( patch-bestanden )"-pakket gebruiken.
  • Stijl auteurs en vertalers mogen de Code wijzigingen pakket gebruiken om hun stijlen of taal pakketten direct te updaten.
  • Als je een hoster/provider bent, mag je het "Patch Files ( patch-bestanden )"-pakket gebruiken, om alle pakketten te updaten van al je klanten.
Wees er zeker van dat je de [url=https://www.phpbbservice.nl/forum/docs/INSTALL.html]INSTALL[/url] en [url=https://www.phpbbservice.nl/forum/docs/README.html]README[/url]-bestanden leest in de docs-directory voordat je verder gaat met de installatie, update of conversie!.

Download locaties Heel veel plezier met deze versie namens, phpBBservice.nl en phpBB.com, en nogmaals onze excuses voor het ongemak.
Met vriendelijke groeten,
Kevin.

-----------------------------------------------------------------------------------------

Bent u tevreden over onze service?
Dan zouden wij het op prijs stellen als u ons zou willen beoordelen op Afbeelding.

Winnaar in de phpBB.nl awards 2009, 2010 en 2012 met AquaforA

Gebruikersavatar

Auteur
Kevin
Hoofdbeheerder
Hoofdbeheerder
Berichten in topic: 2
Berichten: 3579
Lid geworden op: 03 nov 2007 20:36
Verstuurde bedankjes: 5 keren
Ontvangen bedankjes: 5 keren
Contacteer:

Re: phpBB 3.0.7-PL1 is uitgebracht

Bericht door Kevin » 06 mar 2010 02:00

Discussiëren over deze mededeling kan je doen in het [url=https://www.phpbbservice.nl/forum/viewtopic.php?f=64&t=8174]discussie onderwerp[/url].
Met vriendelijke groeten,
Kevin.

-----------------------------------------------------------------------------------------

Bent u tevreden over onze service?
Dan zouden wij het op prijs stellen als u ons zou willen beoordelen op Afbeelding.

Winnaar in de phpBB.nl awards 2009, 2010 en 2012 met AquaforA

Plaats reactie